package com.gh.gamecenter.entity

import androidx.annotation.Keep
import androidx.databinding.BaseObservable
import androidx.databinding.Bindable
import com.gh.gamecenter.BR

/**
 * 为了避免 databinding 不能使用的一个临时类，不要删除，这个类匹配 ServerCalendarEntity 这个类
 */
@Keep
class Temp : BaseObservable() {

    private var note: String? = null

    private var firstName: CharSequence? = ""

    private var serverName: CharSequence? = ""

    private var time: Long = 0

    private var dataMark: Int = 0 // 判断字段是否符合条件 1:时间,2:名字,3:备注,4:时间&名字, 0: 正常

    var type: String? = null

    var remark: String = ""

    fun setNote(note: String?) {
        this.note = note
        notifyPropertyChanged(BR.note)
    }

    @Bindable
    fun getNote(): String? {
        return this.note
    }

    fun setFirstName(firstName: CharSequence?) {
        this.firstName = firstName
        notifyPropertyChanged(BR.firstName)
    }

    @Bindable
    fun getFirstName(): CharSequence? {
        return this.firstName
    }

    fun setServerName(serverName: CharSequence?) {
        this.serverName = serverName
        notifyPropertyChanged(BR.serverName)
    }

    @Bindable
    fun getServerName(): CharSequence? {
        return this.serverName
    }

    fun setTime(time: Long) {
        this.time = time
        notifyPropertyChanged(BR.time)
    }

    @Bindable
    fun getTime(): Long {
        return this.time
    }

    fun setDataMark(dataMark: Int) {
        this.dataMark = dataMark
        notifyPropertyChanged(BR.dataMark)
    }

    @Bindable
    fun getDataMark(): Int {
        return this.dataMark
    }

}
